Bug 427639 - add sparc support
Summary: add sparc support
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hdf   
(Show other bugs)
Version: rawhide
Hardware: sparc
OS: Linux
low
low
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-06 03:16 UTC by Balint Cristian
Modified: 2010-04-07 16:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 21:18:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to enable sparc (2.52 KB, patch)
2008-01-06 03:16 UTC, Balint Cristian
no flags Details | Diff

Description Balint Cristian 2008-01-06 03:16:02 UTC
Description of problem:
on fedora/sparc it doesnt compile/work.

Version-Release number of selected component (if applicable):
hdf-4.2r2

How reproducible:
rpmbuild

Steps to Reproduce:

[root@sun SPECS]# uname -a
Linux sun.rdsor.ro 2.6.20-1.2986.al3.3 #1 Mon Mar 26 10:34:05 EDT 2007 sparc
sparc sparc GNU/Linux
rpmbuild -bb hdf.spec --target=sparc

Actual results:
fail to build.

Expected results:
build and pass all make check tests.

Additional info:

Its about sparc port of fedora, leaded by Tom Callaway.
I attached small patch to enable sparc build, on my U10 machine
builded smooth and passed all tests from make check section.

Wold be very nice to add this too.

Comment 1 Balint Cristian 2008-01-06 03:16:02 UTC
Created attachment 290898 [details]
patch to enable sparc

Comment 2 Orion Poplawski 2008-01-07 21:18:23 UTC
Patch added to hdf-4.2r2-5.fc9.

Comment 3 Orion Poplawski 2008-01-07 21:38:46 UTC
Needed to change:

--- hdf-4.2r2-sparc.patch	7 Jan 2008 21:17:13 -0000	1.1
+++ hdf-4.2r2-sparc.patch	7 Jan 2008 21:35:16 -0000	1.2
@@ -14,7 +14,7 @@
  #endif /*Linux PPC */
  
 +/* Linux Sparc32/64 */
-+#if defined __sparc__ || !defined __sparc64__
++#if defined __sparc__ || defined __sparc64__
 +
 +#ifdef GOT_MACHINE
 +If you get an error on this line more than one machine type has been defined.


Comment 4 Dennis Gilmore 2010-04-07 16:21:52 UTC
the changes for this bug dont work.  sparc on linux does not define __sparc64__  only solaris defines that

for 64 bit detection you need to use define __sparc__ && defined __arch64__

Comment 5 Orion Poplawski 2010-04-07 16:35:05 UTC
Currently it seems no attempt at handling sparc 64-bit any differently from 32-bit is made.


Note You need to log in before you can comment on or make changes to this bug.